> For the complete documentation index, see [llms.txt](https://docs.altura.com/altura-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altura.com/altura-documentation/api-reference/altura-guard-ii/transaction-requests/polling-transaction-response.md).

# Polling Transaction Response

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/alturaguard/getResponse`

#### Request Body

| Name                                        | Type   | Description                             |
| ------------------------------------------- | ------ | --------------------------------------- |
| token<mark style="color:red;">\*</mark>     | String | User token recieved when authenticating |
| requestId<mark style="color:red;">\*</mark> | String | Transaction request ID received         |

{% tabs %}
{% tab title="200: OK txHash / reject" %}

```javascript
{
txHash:"TRANSACTION HASH"
}

or

Rejected 
```

{% endtab %}

{% tab title="204: No Content if there is no response yet" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found if there has been no response after ten minutes" %}

{% endtab %}
{% endtabs %}
